regina-normal (7.3.1-2) unstable; urgency=low

  * Fix the fact that GNOME does not recognise the GUI when it is running,
    which was causing a generic icon and window name to appear in the dock.
  * Added some compatibility patches from upstream to support graphviz >= 13
    and doxygen >= 1.10.

 -- Ben Burton <bab@debian.org>  Wed, 23 Jul 2025 11:31:50 +1000

regina-normal (7.3.1-1) unstable; urgency=low

  * New upstream release.
  * Now builds under gcc-13 (closes: #1037840).

 -- Ben Burton <bab@debian.org>  Tue, 08 Jul 2025 21:37:45 +1000

regina-normal (7.3-2) unstable; urgency=low

  * Fixed a bug where Link::resolve() would not clear calculated properties,
    which could result in incorrect link invariants being cached.
  * Fixed a memory leak in move assignment for triangulations.

 -- Ben Burton <bab@debian.org>  Thu, 04 May 2023 23:05:55 +1000

regina-normal (7.3-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards-version to 4.6.2 (no changes required).

 -- Ben Burton <bab@debian.org>  Thu, 16 Mar 2023 16:29:13 +1000

regina-normal (7.2-3) unstable; urgency=low

  * Now builds and runs the test suite correctly under Python 3.11
    (closes: #1027943).

 -- Ben Burton <bab@debian.org>  Tue, 17 Jan 2023 00:02:27 +1000

regina-normal (7.2-2) unstable; urgency=low

  * Fix compile error on powerpc due to use of __bool, which is reserved
    on that platform.
  * Add additional autopkgtests for the new python tests in Regina 7.2.

 -- Ben Burton <bab@debian.org>  Fri, 28 Oct 2022 15:27:28 +1000

regina-normal (7.2-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Thu, 27 Oct 2022 08:17:22 +1000

regina-normal (7.1-1) unstable; urgency=low

  * New upstream release.
  * Now builds against Qt6, not Qt5.
  * Bumped standards-version to 4.6.1 (no changes required).

 -- Ben Burton <bab@debian.org>  Wed, 28 Sep 2022 10:04:35 +1000

regina-normal (7.0-2) unstable; urgency=low

  * Fixed the command-line utilities test suite on s390.
  * Build-depends on bsdextrautils (which provides hexdump), and also made
    the autopkgtests depend on this for the same reason.

 -- Ben Burton <bab@debian.org>  Mon, 20 Dec 2021 00:02:08 +1000

regina-normal (7.0-1) unstable; urgency=low

  * New upstream release.
  * Removed build-depends on libboost-dev, since upstream no longer requires it.
  * Build-depends on cmake (>= 3.12) and doxygen (>= 1.8.17), following the
    new requirements from upstream.
  * Changed the python build-depends from python3-all-dev to python3-dev
    (closes: #998455).
  * Downgraded gap from recommends to suggests.

 -- Ben Burton <bab@debian.org>  Fri, 17 Dec 2021 23:02:54 +1000

regina-normal (6.0.1-4) unstable; urgency=low

  * Additional polish for the appstream metadata:
      - move the screenshots to people.debian.org and give them captions;
      - avoid the <code/> tag, which can cause problems with appstream-glib.

 -- Ben Burton <bab@debian.org>  Mon, 19 Apr 2021 18:07:50 +1000

regina-normal (6.0.1-3) unstable; urgency=low

  * Removed the icon tags from the appstream metadata.

 -- Ben Burton <bab@debian.org>  Mon, 19 Apr 2021 00:23:51 +1000

regina-normal (6.0.1-2) unstable; urgency=low

  * Added appstream metadata.

 -- Ben Burton <bab@debian.org>  Sun, 18 Apr 2021 12:51:30 +1000

regina-normal (6.0.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Fixes an issue for Python users, where the Triangulation3 constructor
    could become unusable in the graphical user interface.

 -- Ben Burton <bab@debian.org>  Thu, 11 Feb 2021 09:02:55 +1000

regina-normal (6.0-2) unstable; urgency=low

  * Added autopkgtests: these test the mathematical engine, the python
    bindings, and the command-line utilities.

 -- Ben Burton <bab@debian.org>  Sun,  7 Feb 2021 18:16:33 +1000

regina-normal (6.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards-version to 4.5.1 (no changes required).

 -- Ben Burton <bab@debian.org>  Sat,  9 Jan 2021 12:12:06 +1000

regina-normal (5.96-1) unstable; urgency=low

  * New upstream release.
  * Fixed crash in Link::homfly() on some 32-bit architectures.

 -- Ben Burton <bab@debian.org>  Tue, 22 Dec 2020 22:19:10 +1000

regina-normal (5.95-1) unstable; urgency=low

  * New upstream release.
  * Removed regina-normal-mpi, since Regina no longer ships with MPI utilities.
  * Updated to build against python3 (closes: #938346)
  * Now build-depends on cmake >= 3.12.
  * Now requires only the boost headers, not any pre-built boost libraries
    (closes: #962070).

 -- Ben Burton <bab@debian.org>  Mon, 21 Dec 2020 16:34:12 +1000

regina-normal (5.1-6) unstable; urgency=low

  * Added NEWS.gz symlinks in doc directories that point to HIGHLIGHTS.txt.gz.
  * Bumped standards-version to 4.2.1.3.

 -- Ben Burton <bab@debian.org>  Sun, 28 Oct 2018 08:14:58 +1000

regina-normal (5.1-5) unstable; urgency=low

  * Reorganised debian/rules to use the standard dh sequence instead of
    many individual dh_* calls.
  * Replaced manual make/cmake calls in debian/rules with dh_auto_*.
  * The package build now respects dpkg-buildflags, and (as a result)
    includes additional security hardening features.
  * Dropped the old debian menu entry for regina-python (and the corresponding
    pixmap), since the debian menu system is being phased out.
  * Bumped standards-version to 4.1.3.0.

 -- Ben Burton <bab@debian.org>  Fri, 23 Mar 2018 09:01:58 +1000

regina-normal (5.1-4) unstable; urgency=low

  * Switched packaging to dpkg-source 3.0 (quilt) format.
  * The examples, API docs and user handbook have moved from beneath
    /usr/share/doc/ into /usr/share/regina-normal/, to respect preferred
    behaviour in debian policy.  The old directories beneath /usr/share/doc/
    have been replaced with symlinks.
  * Removed the arm64 -O2 workaround from debian/rules, which was to avoid
    a gcc breakage that I believe is now fixed.
  * Build with -g so that the -dbgsym packages contain real debug symbols.
    These symbols are still stripped out as usual in the mainstream packages.
  * Switched to debhelper compatibility level 11; now using
    dh_missing --fail-missing instead of dh_install --list-missing.

 -- Ben Burton <bab@debian.org>  Sun, 18 Mar 2018 07:35:09 +1000

regina-normal (5.1-3) unstable; urgency=low

  * Bumped standards-version to 4.1.1.
  * Updated the debian watch file to point to github (not sourceforge).
  * Switched to debhelper compatibility level 9.
  * Package regina-normal now just recommends regina-normal-doc instead of
    depending on it, following the recent policy change.
  * Changed priority from extra to optional.

 -- Ben Burton <bab@debian.org>  Sat, 17 Mar 2018 13:00:57 +1000

regina-normal (5.1-2) unstable; urgency=low

  * Added missing #include to build against gcc-7 (closes: #853639).

 -- Ben Burton <bab@debian.org>  Sun, 13 Aug 2017 13:09:06 +1000

regina-normal (5.1-1) unstable; urgency=low

  * New upstream release.
  * Added build-depends on libjansson-dev, which is required as of Regina 5.1.
  * Removed build-depends on libsource-highlight-dev, which is no longer used.

 -- Ben Burton <bab@debian.org>  Sat, 17 Dec 2016 09:27:49 +1100

regina-normal (5.0-3) unstable; urgency=low

  * Updated the debian watch file.

 -- Ben Burton <bab@debian.org>  Thu,  6 Oct 2016 14:17:53 +1000

regina-normal (5.0-2) unstable; urgency=low

  * Build with -O2 instead of -O3 on arm64, to avoid assembly errors.

 -- Ben Burton <bab@debian.org>  Thu,  6 Oct 2016 14:17:53 +1000

regina-normal (5.0-1) unstable; urgency=low

  * New upstream release.
  * New build-depends: switched from Qt4 to Qt5, and also added
    libboost-iostreams-dev and libgraphviz-dev.
  * Added debian/watch (thanks to bartm).
  * Removed regina-gui from the debian menu system, following the recent
    policy update.  Kept the menu entry for regina-python, since this
    command-line application does not provide a .desktop file.
  * Bumped standards-version to 3.9.8.

 -- Ben Burton <bab@debian.org>  Tue, 20 Sep 2016 10:03:24 +1000

regina-normal (4.96-4) unstable; urgency=low

  * Fix FTBFS on some architectures, which was due to an assumption in the
    snappea kernel that char was signed (closes: #836678).

 -- Ben Burton <bab@debian.org>  Mon, 05 Sep 2016 12:18:35 +1000

regina-normal (4.96-3) unstable; urgency=low

  * Fix FTBFS with gcc-6 due to ambiguity in resolving std::make_tuple vs
    boost::python::make_tuple (closes: #811680).
  * Altered previous NMU patch to be consistent with how this was fixed
    upstream (thanks Anton for the NMU).

 -- Ben Burton <bab@debian.org>  Sat, 02 Jul 2016 09:38:33 +1000

regina-normal (4.96-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to ambiguous call of overloaded method. (Closes: #808456)

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Jan 2016 00:00:47 +0100

regina-normal (4.96-2) unstable; urgency=low

  * Now installs the utility /usr/bin/censuslookup, which was inadvertently
    omitted from 4.96-1 (closes: #769700).  Also installs the corresponding
    manpage.

 -- Ben Burton <bab@debian.org>  Sat, 15 Nov 2014 22:01:46 +0530

regina-normal (4.96-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Fri, 29 Aug 2014 17:37:46 +1000

regina-normal (4.95-1) unstable; urgency=low

  * New upstream release.
  * The python module is now installed in a standard location beneath
    /usr/lib/python2.7/dist-packages.
  * Switched python packaging from python-support to dh_python2.

 -- Ben Burton <bab@debian.org>  Sat,  2 Nov 2013 11:44:32 -0400

regina-normal (4.94-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Tue, 17 Sep 2013 06:58:42 +1000

regina-normal (4.93-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Peter Michael Green ]
  * Force python library location to new multiarch path.
    Closes: #713360
  * Bump python-dev build-depends for multiarch.

  [ gregor herrmann ]
  * Build-depend on dpkg-dev >= 1.16.0 for multiarch support.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Jul 2013 17:07:24 +0200

regina-normal (4.93-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Tue, 29 May 2012 08:46:45 +1000

regina-normal (4.92-1) unstable; urgency=low

  * New upstream release.
  * The user interface is now Qt-only, and no longer depends on KDE.
  * The GUI is now /usr/bin/regina-gui, not /usr/bin/regina-kde.
  * Builds under gcc 4.7 (closes: #667354).
  * Bumped standards-version to 3.9.3 (no changes required).

 -- Ben Burton <bab@debian.org>  Fri, 30 Mar 2012 14:10:01 +1000

regina-normal (4.90-2) unstable; urgency=low

  * Added missing build-depends on shared-mime-info.

 -- Ben Burton <bab@debian.org>  Sat, 10 Sep 2011 08:58:58 +1000

regina-normal (4.90-1) unstable; urgency=low

  * New upstream release!
  * The user interface has been ported from KDE3 to KDE4 (closes: #556318).
    Re-enabled the GUI as a result.
  * The build system has been ported from autotools to cmake.
  * The new upstream release builds fine on amd64 (closes: #624882).
  * Moved the users' handbook into regina-normal-doc.
  * Upgraded several suggests/recommends.  Upgraded regina-normal-mpi to
    depend on mpi-default-bin, and regina-normal to depend on both graphviz
    and regina-normal-doc (which the GUI expends to be present).  Upgraded
    regina-normal to recommend gap.
  * Bumped standards-version to 3.9.2.0 (no changes required).

 -- Ben Burton <bab@debian.org>  Sat, 10 Sep 2011 07:17:25 +1000

regina-normal (4.6-4) unstable; urgency=low

  * Add #include <cstddef> to fix ptrdiff_t build failure.
  * Lower precision of snappea volume tests to fix i386 build failure.

 -- Ben Burton <bab@debian.org>  Sun, 01 May 2011 18:47:01 +1000

regina-normal (4.6-3) unstable; urgency=low

  * Removed MPICXX=/usr/bin/mpicxx, which fails under lam (the default MPI
    implementation on some platforms).  Just use the default MPICXX instead.
  * Removed all libtool .la files.
  * Bumped standards-version to 3.9.1.0 (no other changes required).

 -- Ben Burton <bab@debian.org>  Fri, 04 Mar 2011 10:34:51 +1000

regina-normal (4.6-2) unstable; urgency=low

  * Preparation for the removal of KDE3.  The GUI (regina-kde) has been
    removed completely, and will be restored when the port to KDE4 is
    complete (closes: #604322, #615578).
  * Build MPI utilities against mpi-default-dev, not MPICH (closes: #571451).
  * Ack the NMU below (4.6-1.1).  The libboost-python-dev build-depends
    has been upgraded to >= 1.39.0 accordingly.
  * Added dependency on ${misc:Depends} for each binary package.
  * Thanks to Lisandro Damián Nicanor Pérez Meyer for assistance.

 -- Ben Burton <bab@debian.org>  Thu, 03 Mar 2011 08:26:05 +1000

regina-normal (4.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable calling debian/mtcheck from debian/rules, boost no longer
    distinguishes between single-threaded and multi-threaded variants, so
    this check only generates FTBFSes (Closes: #545621).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 06 Dec 2009 21:32:30 +0100

regina-normal (4.6-1) unstable; urgency=low

  * New upstream release.
  * Removed the build-conflicts on regina-normal-dev, since the build system
    has now been patched to avoid the associated relinking problems.
  * Now explicitly calls mpicxx.mpich at build time (not just mpicxx).
  * Restored the khelpcenter recommendation (though now as khelpcenter4),
    under the assumption that kdelibs will be soon patched to talk with
    KDE 4's help viewer (the patch is currently sitting in the BTS).
  * Now builds under gcc 4.4 (closes: #526199).
  * The test suite now avoids routines that are deprecated in python 2.6,
    which were causing the test suite to fail (closes: #526192).

 -- Ben Burton <bab@debian.org>  Sat, 16 May 2009 14:36:16 +1000

regina-normal (4.5.1-2) unstable; urgency=low

  * Debian has migrated from KDE 3 to KDE 4.  As a consequence:
      - The regina-normal package no longer recommends kpdf (which is no
        longer shipped in debian).  Instead it recommends xpdf or okular,
        which will at least provide an external PDF viewer (though not an
        embedded PDF viewer).
      - Likewise, regina-normal no longer recommends khelpcenter, since the
        KDE 4 version now shipped in debian does not talk with KDE 3 (and
        hence regina-normal).  Unfortunately this means that users cannot
        view documentation via the Help menu; instead they will need to
        download the users' handbook in HTML format from the Regina website.
  * Added support for nocheck in DEB_BUILD_OPTIONS (if you wish to avoid
    running the test suite during the build).
  * Remove the automake, autoconf, etc. calls from debian/rules, since
    we are no longer patching the build scripts.
  * Bumped standards-version to 3.8.1.0.

 -- Ben Burton <bab@debian.org>  Sat, 25 Apr 2009 17:59:31 +1000

regina-normal (4.5.1-1) unstable; urgency=low

  * New upstream release.
  * Now recommends kpdf, which provides an embedded viewer for Regina's
    new PDF packets.
  * Added a Homepage field to debian/control.
  * Bumped standards-version to 3.8.0 (no changes required).

 -- Ben Burton <bab@debian.org>  Tue, 28 Oct 2008 06:19:50 +1100

regina-normal (4.5-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Sat, 17 May 2008 11:39:33 +1000

regina-normal (4.4-4) unstable; urgency=low

  * Switched to use the default python version, now that boost.python supports
    multiple python versions.  Updated the versioned build-depends on
    libboost-python-dev accordingly.
  * Added a build-depends on python-dev for boost.python, and versioned this
    to ensure that we catch the recent python2.5 transition.
  * Now uses python-support for handling python policy requirements.  The old
    X[BS]-Python-Version control fields have been removed.
  * Properly quoted CFLAGS / CXXFLAGS in debian/rules (closes: #476029).
  * Changed doc-base section from Apps/Math to Science/Mathematics.

 -- Ben Burton <bab@debian.org>  Sat, 19 Apr 2008 11:39:33 +1000

regina-normal (4.4-3) unstable; urgency=low

  * Added an extra #include for gcc-4.3 compatibility (closes: #455296).

 -- Ben Burton <bab@debian.org>  Mon,  3 Mar 2008 19:28:46 +1100

regina-normal (4.4-2) unstable; urgency=low

  * Build with -O0 on arm, since compiler optimisations on arm chipsets can
    lead to a strange failure in the test suite.  The root cause of this
    failure is still being hunted down.
  * Added sanity checks in debian/rules immediately after configure, so we
    don't need to wait an hour to discover that one of the optional pieces
    (such as the python bindings or MPI utilities) is not going to be built.
  * Bumped standards-version to 3.7.3 (no changes required).

 -- Ben Burton <bab@debian.org>  Tue,  5 Feb 2008 20:23:37 +1100

regina-normal (4.4-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Sun, 25 Nov 2007 10:28:59 +1100

regina-normal (4.3.1-7) unstable; urgency=low

  * Split the MPI utilities into a separate package regina-normal-mpi.  This
    means that desktop users don't need to install mpich.
  * Re-enabled MPI utilities on the ia64 architecture (these were disabled in
    early 2006 due to linker failures).

 -- Ben Burton <bab@debian.org>  Fri, 16 Nov 2007 06:26:03 +1100

regina-normal (4.3.1-6) unstable; urgency=low

  * Updated for new debian menu layout.  Menu entries have moved from
    Apps/Math to Applications/Science/Mathematics.

 -- Ben Burton <bab@debian.org>  Sat, 13 Oct 2007 07:46:20 +1000

regina-normal (4.3.1-5) unstable; urgency=low

  * Another step in the python dance.  Everything is back to python2.4,
    since boost.python has switched back from python2.5 to python2.4 as of
    boost 1.34.1-2 (closes: #439464).  Updated libboost-python-dev
    build-depends version accordingly.
  * And another step in the boost dance.  The libboost_*.so symlinks under
    debian have recently changed from multi-threaded to single-threaded
    versions of the relevant libraries.  Changed the configure script to
    try the -mt suffix *before* the default library, not after.
  * Added an automated check during the package build that makes sure the
    multi-threaded boost.python is used (debian/mtcheck).
  * Passes an explicit python version to ./configure, so that things stay
    sane even when multiple python*-dev packages are installed on the build
    machine.
  * Lintian fixes: (i) change -$(MAKE) distclean so the clean can only fail
    if the Makefile is missing; (ii) change ${Source-Version} to
    ${binary:Version} in the regina-normal-dev dependencies.

 -- Ben Burton <bab@debian.org>  Sun, 26 Aug 2007 19:09:29 +1000

regina-normal (4.3.1-4) unstable; urgency=low

  * Update autoconf boost check to account for the recent transition
    from libboost_python.so to libboost_python-mt.so (closes: #425926).
  * Update all dependencies to require python2.5, since this is now what
    boost uses.  Build-depends on libboost-python-dev >= 1.34.0 accordingly.
  * Incorporate patch from upstream SVN that removes virtual templates,
    thus allowing regina-normal to build under gcc-4.2 (closes: #370183).
  * The patch above removes the NVertexEnumerator class completely, and
    makes all enumeration routines in NDoubleDescriptor static.  For this
    reason, the libraries in /usr/lib/ have changed their release version
    from 4.3.1 to 4.3.1a.  Any third-party code that links against these
    libraries will need to be rebuilt.
  * Switch from DH_COMPAT to debian/compat.
  * Bump standards-version to 3.7.2.2 (no changes required).

 -- Ben Burton <bab@debian.org>  Sat, 26 May 2007 09:20:55 +1000

regina-normal (4.3.1-3) unstable; urgency=low

  * Removed www-browser as an alternative to konqueror in regina-normal-doc
    recommendations, since the GUI needs konqueror specifically to open the
    API docs from the help menu.

 -- Ben Burton <bab@debian.org>  Sun, 29 Oct 2006 22:25:06 +1100

regina-normal (4.3.1-2) unstable; urgency=low

  * Patched trisetcmp to give appropriate messages for subcomplex testing
    (instead of using the same messages as for isomorphism testing).
  * Added XS-Python-Version and XB-Python-Version fields to debian/control
    as requested by new python policy (closes: #380931).
  * Switched to debhelper compatibility level 5.
  * Bumped standards-version to 3.7.2.1 (no changes required).

 -- Ben Burton <bab@debian.org>  Sun,  8 Oct 2006 11:35:15 +1000

regina-normal (4.3.1-1) unstable; urgency=low

  * New upstream release.
  * Moved khelpcenter from suggests to recommends, since it's really not
    good if the help menu isn't working.
  * Now suggests graphviz, which is used for drawing face pairing graphs.
  * Added a regina.xpm icon in /usr/share/pixmaps for GNOME users who can't
    see the KDE icons.

 -- Ben Burton <bab@debian.org>  Fri,  5 May 2006 08:19:09 +1000

regina-normal (4.3-1) unstable; urgency=low

  * New upstream release.
  * C++ syntax now adheres to the requirements of gcc 4.1 (closes: #358062).

 -- Ben Burton <bab@debian.org>  Mon, 27 Mar 2006 08:48:41 +1100

regina-normal (4.2.1-5) unstable; urgency=low

  * Build-depends on kdelibs4-dev (>= 4:3.5.1-3), so that the cached HTML
    reference manual has the correct legal notice (GPL).  The meinproc from
    older versions of kdelibs incorrectly claimed that all documentation was
    under the GFDL instead.

 -- Ben Burton <bab@debian.org>  Wed, 15 Mar 2006 07:22:55 +1100

regina-normal (4.2.1-4) unstable; urgency=low

  * Temporarily ship ia64 packages without MPI utilities, since the MPI code
    fails to link under ia64.  These utilities will be restored once the link
    failure can be tracked down.
  * All architectures other than ia64 are unaffected by this change.

 -- Ben Burton <bab@debian.org>  Tue, 21 Feb 2006 07:53:24 +1100

regina-normal (4.2.1-3) unstable; urgency=low

  * Made the NSnapPeaTriangulation tests more robust to avoid crashes
    caused by taking log10(0) when the answers are very, very accurate.

 -- Ben Burton <bab@debian.org>  Sat,  7 Jan 2006 11:00:41 +1100

regina-normal (4.2.1-2) unstable; urgency=low

  * Updated to debian's patched libtool 1.5.22.  This should support
    Debian GNU/k*BSD, and should also streamline package dependencies
    (closes: #343965).
  * Build-depends on automake1.9 since we now need to rerun autoconf,
    automake and friends.
  * Applied the debian/KDE disable_no_undefine patch to admin/kde.m4.ext,
    which is needed because of the libtool update.
  * Made the NSnapPeaTriangulation tests more flexible for degenerate
    triangulations, to allow for different floating point behaviour under
    different chipsets (closes: #326790).
  * Bumped standards-version to 3.6.2.2 (no changes required).

 -- Ben Burton <bab@debian.org>  Fri,  6 Jan 2006 08:10:22 +1100

regina-normal (4.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Fri, 16 Sep 2005 08:58:30 +1000

regina-normal (4.2-3) unstable; urgency=low

  * Rebuilt against libfam-dev instead of libgamin-dev.
  * Removed obsolete kderemove tag from the debian menu entry.

 -- Ben Burton <bab@debian.org>  Sun,  4 Sep 2005 10:58:17 +1000

regina-normal (4.2-2) unstable; urgency=low

  * Uploaded for the g++-4 / KDE 3.4 transition.  Build-depends and shlibs
    files adjusted accordingly.
  * Fixed incorrect include directory in "regina-engine-config --cflags".
  * Fixed incorrect path to API docs in doc-base file.
  * Updated FSF address in the copyright file.
  * Bumped standards-version to 3.6.2.1 (no changes required).

 -- Ben Burton <bab@debian.org>  Mon, 29 Aug 2005 01:06:11 +1000

regina-normal (4.2-1) unstable; urgency=low

  * New upstream release.
  * Note that regina-normal now includes MPI support.  These packages are
    built against the MPICH implementation of MPI.
  * Updated the copyright file to reflect inclusion of the SnapPea kernel.
  * Minor tidying up in the debian directory.

 -- Ben Burton <bab@debian.org>  Sun,  3 Jul 2005 18:35:25 +1000

regina-normal (4.1.3-2) unstable; urgency=low

  * Rebuilt against boost 1.32.0 since 1.31 is no longer in the archives.
  * Minor aesthetic changes to package descriptions.

 -- Ben Burton <bab@debian.org>  Mon, 17 Jan 2005 01:26:01 +1100

regina-normal (4.1.3-1) unstable; urgency=low

  * New upstream release.
  * Build-depends on libcppunit-dev (was formerly cppunit).

 -- Ben Burton <bab@debian.org>  Sun, 25 Jul 2004 11:32:25 +1000

regina-normal (4.1.2-1) unstable; urgency=low

  * New upstream release.
  * Updated to use python2.3 to stay consistent with boost.python (and
    versioned the libboost-python-dev dependency at >= 1.31.0-5 accordingly).
  * Suggests gap, which can now be used to help simplify fundamental groups.
  * Recommends (konqueror | www-browser) for regina-normal-doc instead of
    just www-browser.

 -- Ben Burton <bab@debian.org>  Mon, 14 Jun 2004 01:07:41 +1000

regina-normal (4.1.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Built against Boost.Python 1.31.0.
  * Fixed compile error with Python 2.3 (closes: #243303).

 -- Ben Burton <bab@debian.org>  Fri, 24 Apr 2004 09:22:24 +1000

regina-normal (4.1-1) unstable; urgency=low

  * New upstream release.
  * Built against KDE 3.2.

 -- Ben Burton <bab@debian.org>  Sun,  7 Mar 2004 14:37:16 +1100

regina-normal (4.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Mon, 26 Jan 2004 11:22:43 +1100

regina-normal (4.0-1) unstable; urgency=low

  * New upstream release.
  * Suggests konqueror for viewing the Python reference.
  * Season's greetings from Melbourne!

 -- Ben Burton <bab@debian.org>  Sat, 20 Dec 2003 18:38:32 +1100

regina-normal (3.97-1) unstable; urgency=low

  * New upstream release (final prerelease for 4.0).
  * Python scripting is once more incorporated into the graphical user
    interface.
  * Runs the test suite during the debian build.

 -- Ben Burton <bab@debian.org>  Mon, 24 Nov 2003 19:26:47 +1100

regina-normal (3.96-1) unstable; urgency=low

  * New upstream release (second prerelease for 4.0).

 -- Ben Burton <bab@debian.org>  Fri, 31 Oct 2003 19:04:48 +1100

regina-normal (3.95-1) unstable; urgency=low

  * New upstream release (prerelease for 4.0).
  * User interface entirely rewritten in C++.
  * Moved from contrib to main since it no longer requires Java.
  * Bumped standards-version to 3.6.1.

 -- Ben Burton <bab@debian.org>  Sun, 12 Oct 2003 10:01:39 +1000

regina-normal (3.2-1) unstable; urgency=low

  * New upstream release.
  * Build-conflicts with regina-normal-dev packages that provide different
    versions of libregina-engine.so so we can avoid libtool's relinking bug.
  * Using AM_MAINTAINER_MODE.
  * Bumped standards-version to 3.5.10.

 -- Ben Burton <bab@debian.org>  Sun, 22 Jun 2003 10:01:39 +1000

regina-normal (3.1-2) unstable; urgency=low

  * Now builds under j2sdk1.4.
  * Reflect the fact that gcc 3.2 is now the default compiler.
  * New maintainer email address.
  * Bumped standards-version to 3.5.8.

 -- Ben Burton <bab@debian.org>  Tue,  4 Feb 2003 15:04:50 +1100

regina-normal (3.1-1) unstable; urgency=low

  * New upstream release.
  * Completely new build structure.
  * Removed mime entry.

 -- Ben Burton <benb@acm.org>  Fri, 18 Oct 2002 08:44:27 +1000

regina-normal (3.0-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <benb@acm.org>  Fri, 28 Jun 2002 17:24:14 +1000

regina-normal (2.4-1) unstable; urgency=low

  * New upstream release.
  * Added mime entry.

 -- Ben Burton <benb@acm.org>  Thu,  4 Apr 2002 11:43:48 +1000

regina-normal (2.3-2) unstable; urgency=low

  * Support both old and new versions of j2se1.3.

 -- Ben Burton <benb@acm.org>  Tue, 29 Jan 2002 01:24:34 +1100

regina-normal (2.3-1.2) unstable; urgency=low

  * And put regina-normal-dev back again now 2.3 is in the archives.

 -- Ben Burton <benb@acm.org>  Mon, 31 Dec 2001 11:39:47 +1000

regina-normal (2.3-1.1) unstable; urgency=low

  * Don't build regina-normal-dev since the ftp admins have kept it on
    hold for half a month and I really want regina-normal-2.3 available.

 -- Ben Burton <benb@acm.org>  Sun, 30 Dec 2001 11:14:38 +1000

regina-normal (2.3-1) unstable; urgency=low

  * New upstream release.
  * Added package regina-normal-dev.
  * Depends and build-depends on newer versions of omniorb(-dev).
  * Updated to conform to new java policy.

 -- Ben Burton <benb@acm.org>  Wed, 12 Dec 2001 01:08:52 -0600

regina-normal (2.2-1) unstable; urgency=low

  * Initial Release (closes: Bug#114151).

 -- Ben Burton <benb@acm.org>  Mon,  1 Oct 2001 20:44:04 -0500

Local variables:
mode: debian-changelog
End:
